
set nokey
set rmargin 10
set lmargin 10
set zeroaxis 
set grid
set terminal png size 800, 600



set title "Galaxies"
set xlabel 'X (Mpc)'
set ylabel 'Y (Mpc)'
set output "output/003.galaxies.png"
plot "output/VIRGODOS_final_data.txt" using 19:20 with points


xm = 0
ym = 0
ellipticity = 0.77 
a = 1
b = a - ellipticity**2
rotation1 = 91.81 # degrees
rotation2 =  181.81 # degrees

## Eigenvectors (obtained with octave)
eigenvector1_x = -0.999504
eigenvector1_y = -0.031499
eigenvector2_x = -0.031499
eigenvector2_y = 0.999504

set xrange [-1:1] 
set yrange [-1:1] 

set nogrid

#set arrow 1 from xm,ym to (xm+a),ym+ xm
#set arrow 2 from xm,ym to xm,(ym+b) 
set arrow 1 from xm,ym to eigenvector1_x,eigenvector1_y
set arrow 2 from xm,ym to eigenvector2_x,eigenvector2_y


set object 1 ellipse center xm,ym size 2*a,2*b angle (rotation1 - 90) front fillstyle empty border -1

set title "Ellipse"
set noxlabel
set noylabel
set output "output/004.ellipse.png"
plot 10,10

