
set grid
set key top left
set key box
set nokey
set rmargin 10
set lmargin 10
set terminal png size 800, 600


set style data histogram
#set xtics 5
set style histogram clustered gap 1
set style fill solid border -1
binwidth=400
set boxwidth binwidth
bin(x,width)=width*floor(x/width) + binwidth/2.0

set title "Histogram of initial galaxies"
set xlabel 'Velocity'
set ylabel 'Number of Galaxies'
set output "output/000.histograma_galaxies.png"
plot "input/VIRGODOS.txt" using (bin($12,binwidth)):(1.0) smooth freq with boxes


binwidth=50
set boxwidth binwidth
bin(x,width)=width*floor(x/width) + binwidth/2.0

set title "Histogram of non-zero galaxies"
set xlabel 'Velocity'
set ylabel 'Number of Galaxies'
set output "output/001.histograma_galaxies_filtrades_no_zero.png"
plot "output/VIRGODOS_zero_filtered.txt" using (bin($12,binwidth)):(1.0) smooth freq with boxes

set title "Histogram of final filtered galaxies"
set xlabel 'Velocity'
set ylabel 'Number of Galaxies'
set output "output/002.histograma_galaxies_filtrades_final.png"
plot "output/VIRGODOS_zero_and_3sigma_filtered.txt" using (bin($12,binwidth)):(1.0) smooth freq with boxes

set title "Radial profile of density"
set xlabel 'Radius'
set ylabel 'Density'
set output "output/radial_profile_of_density.png"
plot "output/rings_density.dat" using 1:2 with lines

set title "Radial profile of velocity dispersion"
set xlabel 'Radius'
set ylabel 'Velocity dispersion'
set output "output/radial_profile_of_velocity_dispersion.png"
plot "output/rings_velocity_dispersion.dat" using 1:2 with lines

